Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364338 - Freeipa cannot be build on fedora 25
Summary: Freeipa cannot be build on fedora 25
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 25
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: IPA Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 06:46 UTC by Lukas Slebodnik
Modified: 2016-08-27 10:19 UTC (History)
9 users (show)

Fixed In Version: freeipa-4.3.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:19:47 UTC


Attachments (Terms of Use)

Description Lukas Slebodnik 2016-08-05 06:46:22 UTC
Description of problem:
The last two build in fedora 25/rawhide failed.
http://koji.fedoraproject.org/koji/buildinfo?buildID=781425
http://koji.fedoraproject.org/koji/buildinfo?buildID=784935

It would be good to have 4.3.2 in fedora 25 and rawhide.

Version-Release number of selected component (if applicable):
freeipa-4.3.2-1.fc25


How reproducible:
Deterministic

Steps to Reproduce:
1. wget https://kojipkgs.fedoraproject.org//packages/freeipa/4.3.2/1.fc24/src/freeipa-4.3.2-1.fc24.src.rpm
2. mock --root fedora-rawhide-x86_64 --resultdir . --rebuild ./freeipa-4.3.2-1.fc24.src.rpm

Actual results:
Compile time error
    daemons/ipa-kdb/ipa_kdb_mspac.c: In function 'filter_logon_info':
    daemons/ipa-kdb/ipa_kdb_mspac.c:1536:19: error: 'struct PAC_LOGON_INFO'
      has no member named 'res_group_dom_sid'
         if (info->info->res_group_dom_sid != NULL &&
                       ^~
    daemons/ipa-kdb/ipa_kdb_mspac.c:1537:19: error: 'struct PAC_LOGON_INFO'
      has no member named 'res_groups'; did you mean 'resource_groups'?
             info->info->res_groups.count != 0) {
                       ^~
    mv -f .deps/ipa_kdb_delegation.Tpo .deps/ipa_kdb_delegation.Plo
    Makefile:806: recipe for target 'ipa_kdb_mspac.lo' failed
    make[3]: *** [ipa_kdb_mspac.lo] Error 1
    make[3]: *** Waiting for unfinished jobs....

Expected results:
Mock will packages without any problem

Additional info:

Comment 1 Lukas Slebodnik 2016-08-05 06:48:07 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6173

Comment 2 Martin Bašti 2016-08-05 08:15:31 UTC
I prefer to have IPA 4.4+ in Rawhide (F25)

Comment 3 Lukas Slebodnik 2016-08-05 09:54:05 UTC
It's not important what you prefer but it's important want can be done faster.
At the moment ther is only freeIPA 4.3.x in fedora.

And moreover the same bug is in freeIPA 4.3 and freeIPA-4.4.

Comment 4 Petr Vobornik 2016-08-05 10:00:38 UTC
We can go with 4.3.2 and then change it to 4.4.1 when 4.4.1 is out. 4.4.0 is too broken.

Comment 5 Petr Vobornik 2016-08-08 15:01:09 UTC
Fixed in upstream master(Future 4.4.1)

7e1898bd014234c176b0c5d4d00463c70fba27b0
50c53395de7b5b4c62f3bc9004d2c7a94792339f

Comment 6 Lukas Slebodnik 2016-08-09 07:01:34 UTC
(In reply to Petr Vobornik from comment #5)
> Fixed in upstream master(Future 4.4.1)
> 
> 7e1898bd014234c176b0c5d4d00463c70fba27b0
> 50c53395de7b5b4c62f3bc9004d2c7a94792339f

Previous two patches does not fix the bug.

Comment 7 Petr Vobornik 2016-08-12 13:21:53 UTC
these should fix it

master:
    e7480bed277e441abf4cfdb1dd8c11471514c8ab ipa-kdb: Allow to build with samba 4.5
    5fece5ff17fa5c2deead3d44953c512b7060f6ca ipa-kdb: Fix unit test after packaging changes in krb5

Comment 8 Fedora Update System 2016-08-19 16:01:21 UTC
freeipa-4.3.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56c765d67

Comment 9 Fedora Update System 2016-08-20 18:50:34 UTC
freeipa-4.3.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56c765d67

Comment 10 Fedora Update System 2016-08-27 10:19:43 UTC
freeipa-4.3.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.